---
title: update tax provider by id
slug: api-documentation/update-tax-provider-by-id
docTags: 
createdAt: 2026-08-27T17:08:54.010Z
---

{
  "id": "PkCg8P0wqMzW9usexTCL3",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://api.upstartcommerce.com/v1/tax/provider/{providerId}",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/tax/provider/{providerId}",
        "description": "Dev Server"
      }
    ],
    "name": "update tax provider by id",
    "description": "<p>This endpoint updates the tax provider against a certain tax provider identifier.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li>Authorizers.taxModifier</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "The updated values for the tax provider.",
          "schema": [
            {
              "name": "tenant",
              "kind": "required",
              "type": "string",
              "description": "Tenant identifier this tax provider is for.",
              "minLength": 1
            },
            {
              "name": "taxProviderId",
              "kind": "required",
              "type": "string",
              "description": "Tax provider identifier.",
              "minLength": 1
            },
            {
              "name": "taxProviderName",
              "kind": "required",
              "type": "string",
              "description": "Tax provider name.",
              "minLength": 1
            },
            {
              "name": "enabled",
              "kind": "required",
              "type": "boolean",
              "description": "<p>This flag determines whether the tax provider services can be used by this tenant or not. If it is true, the tax provider's services can be used.</p>"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "204",
        "description": "<p>Success - tax provider updated successfully.</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized-the provided credentials were invalid for this endpoint.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned by the bad-request and unauthorized responses, identifying the failure by name, code and detail.</p>",
            "customType": "GeneralError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Error name.",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "Error code.",
                "minLength": 1
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": "Reason why this error occurred.",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": "Error details.",
                "minLength": 1
              }
            ],
            "modelRef": "#/components/schemas/GeneralError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found-the requested resource was not found in the NoChannel system.</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "415",
        "description": "<p>Unsupported Media Type-content type isn't set to application/json.</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "aW0xe9wfLHIWHRh4gBmCR",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://api.upstartcommerce.com/v1/tax/provider/{providerId} \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"tenant\": \"\",\n     \"taxProviderId\": \"\",\n     \"taxProviderName\": \"\",\n     \"enabled\": \"\"\n     }'"
        },
        {
          "id": "rPRgArv59zEHfz1zQ8P7p",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"tenant\": \"\",\n   \"taxProviderId\": \"\",\n   \"taxProviderName\": \"\",\n   \"enabled\": \"\"\n});\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/tax/provider/{providerId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "zdf_iyBT9tEzgtQQrH7mx",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/tax/provider/{providerId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"tenant\": \"\",\n   \"taxProviderId\": \"\",\n   \"taxProviderName\": \"\",\n   \"enabled\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "Lq4sPDWHo5ZItjYvoFN8c",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/tax/provider/{providerId}\"\n\npayload = json.dumps({\n   \"tenant\": \"\",\n   \"taxProviderId\": \"\",\n   \"taxProviderName\": \"\",\n   \"enabled\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "aW0xe9wfLHIWHRh4gBmCR"
    },
    "results": {
      "languages": [
        {
          "id": "bbkkaCz08XKvWHRHLwvq0",
          "language": "204",
          "code": "// Success - tax provider updated successfully.\n"
        },
        {
          "id": "BL-6lyTMWWxfPzSESK6q9",
          "language": "401",
          "code": "// Unauthorized-the provided credentials were invalid for this endpoint.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"reason\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "IUzVK8Gzrc-Y-FB5huN0o",
          "language": "404",
          "code": "// Not Found-the requested resource was not found in the NoChannel system.\n"
        },
        {
          "id": "WkBiSY3iJIOsWyw4-rXRA",
          "language": "415",
          "code": "// Unsupported Media Type-content type isn't set to application/json.\n"
        }
      ],
      "selectedLanguageId": "bbkkaCz08XKvWHRHLwvq0"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}